% V = lyapunov(u1,u2,dx)
%
% Computes the Lyapunov that is considered in the second example of the paper
% Mazenc, Prieur, 2010
% this is a strict ISS Lyapunov function
%
% inputs:
% u1 is the first component of the approximated solution
% u2 is the second component of the approximated solution
% dx mesh in space
%
% outputs:
% V the time evolution of the Lyapunov function

function V = lyapunov(u1,u2,dx)

% keyboard
[Nx,Nt]=size(u1);

V = zeros(1,Nt);
tmp = V;

% choice of the matrix P
P=eye(2);

for j=1:Nt
    for i=1:Nx
        tmp(j) = tmp(j)+dx*([u1(i,j);u2(i,j)]'*P*[u1(i,j);u2(i,j)]);
    end
end

V=tmp;

