% V = lyapunov(u1,u2,dx)
%
% Computes the Lyapunov that is considered in the example of the paper
% Mazenc, Prieur, 2010
% this is a strict ISS Lyapunov function
%
% inputs:
% u1 is the first component of the approximated solution
% u2 is the second component of the approximated solution
% dx mesh in space
%
% outputs:
% V the time evolution of the Lyapunov function

function V = lyapunov(u1,u2,dx)

% keyboard
[Nx,Nt]=size(u1);

V = zeros(1,Nt);
tmp = V;

for j=1:Nt
    for i=1:Nx
        tmp(j) = tmp(j)+1153*dx*(u1(i,j)^2+u2(i,j)^2);
        tmp(j) = tmp(j)+dx*(u1(i,j)*u2(i,j));
    end
end

V=tmp;

